Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problem with mod_php
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
fxstar
n00b
n00b


Joined: 22 Mar 2013
Posts: 9

PostPosted: Fri Mar 22, 2013 11:36 am    Post subject: problem with mod_php Reply with quote

Hello, I try to install mod_php but I get this error ? My PHP code isn't parsed by apache. Any ideeas ? Thank you.

Code:
Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "mod_php".

emerge: searching for similar names...
emerge: Maybe you meant any of these: www-apache/mod_suphp, www-apache/mod_python, dev-php/onphp?


P.S I'm new to gentoo.
Back to top
View user's profile Send private message
lexflex
Guru
Guru


Joined: 05 Mar 2006
Posts: 354
Location: the Netherlands

PostPosted: Fri Mar 22, 2013 11:56 am    Post subject: Re: problem with mod_php Reply with quote

fxstar wrote:
Hello, I try to install mod_php but I get this error ?
emerge: there are no ebuilds to satisfy "mod_php".
P.S I'm new to gentoo.


Hi and Welcome !

The message means there is no package called mod_php (but you probably guessed that :-) ).

It is installed when installing php with the apache2 useflag enabled.

So, add apache2 and try:
Code:
emerge --ask -v dev-lang/php


For more on installing php and/or apache2 look here:
http://en.gentoo-wiki.com/wiki/PHPhttp://en.gentoo-wiki.com/wiki/PHP
http://www.gentoo.org/proj/en/php/php-installing.xml
( do you want to use it with apache or what is your plan?)

Alex.
Back to top
View user's profile Send private message
fxstar
n00b
n00b


Joined: 22 Mar 2013
Posts: 9

PostPosted: Fri Mar 22, 2013 12:12 pm    Post subject: Reply with quote

You are right, I want to use it with apache.

This is my package.use file:

Code:
dev-lang/php gd jpeg png gif mysql crypt snmp xml xmlrpc


My PHP code is not getting parsed by the server

L.E Can you explain the line emerge --ask -v dev-lang/php ? Thank you,
Back to top
View user's profile Send private message
lexflex
Guru
Guru


Joined: 05 Mar 2006
Posts: 354
Location: the Netherlands

PostPosted: Fri Mar 22, 2013 4:58 pm    Post subject: Reply with quote

fxstar wrote:


L.E Can you explain the line emerge --ask -v dev-lang/php ? Thank you,

It will emerge the php package on your machine.:
--ask makes it show you what it will do and then ask you if you want to proceed.
-v ( verbose) shows the useflags enabled. You can see apache2 there.
Either it is -apache2 or apache2, depending on wether the useflag is enabled for php.
You want "apache2".

Add apache2 to your useflags in /etc/make.conf, and then "emerge --ask -v php "

Alex.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Fri Mar 22, 2013 5:06 pm    Post subject: Reply with quote

after emerging php, in /etc/conf.d/apache2 you will need
Quote:
APACHE2_OPTS="-D DEFAULT_VHOST -D INFO -D SSL -D SSL_DEFAULT_VHOST -D LANGUAGE -D PHP5"
then repeat emerge apache and then /etc/init.d/apache2 restart
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum